Bug 92037 - The virtual postfix configuration is set to chroot 'y'.
The virtual postfix configuration is set to chroot 'y'.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-01 08:59 EDT by Jeffery Cann
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 11:44:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffery Cann 2003-06-01 08:59:36 EDT
Description of problem:

The virtual postfix configuration is set to chroot 'y'.  This postfix service
cannot (according to the documentation in /etc/postfix/master.cf) run as chroot
'y'.  The result of this setting is that when someone tries to setup virtual
mailbox delivery, it will not work.  This is described in the file:

  /usr/share/doc/postfix-1.1.11/README_FILES/VIRTUAL_README


Version-Release number of selected component (if applicable):
postfix-1.1.11-11 / Red Hat Linux 9.0

How reproducible:
It's installed this way. :)


Steps to Reproduce:
1. Install the package.
2. Look at the /etc/postfix/master.cf file

    
Actual results:

The virtual service is listed as 'chroot' y:

  virtual unix    -       n       y       -       -       virtual


Expected results:

The virtual service does not run as 'chroot', so the installed configuration
will never work!  It should be:

  virtual unix    -       n       n       -       -       virtual


Additional info:

This is documented in /etc/postfix/master.cf file:

# Chroot: whether or not the service runs chrooted to the mail queue
# directory (pathname is controlled by the queue_directory configuration
# variable in the main.cf file). Presently, all Postfix daemons can run
# chrooted, except for the pipe, virtual and local delivery daemons.
# The files in the examples/chroot-setup subdirectory describe how
# to set up a Postfix chroot environment for your type of machine.
#
Comment 1 John Dennis 2003-06-12 11:44:46 EDT
chroot has been removed in current packages (>= 2.0.6 postfix rpm)

Note You need to log in before you can comment on or make changes to this bug.